[arch-commits] Commit in claws-mail-extra-plugins/trunk (PKGBUILD)

andyrtr at archlinux.org andyrtr at archlinux.org
Wed Aug 18 16:18:46 EDT 2010


    Date: Wednesday, August 18, 2010 @ 16:18:45
  Author: andyrtr
Revision: 87979

upgpkg: claws-mail-extra-plugins 3.7.6-4
missing optdepends for notification plugin; #19741

Modified:
  claws-mail-extra-plugins/trunk/PKGBUILD

----------+
 PKGBUILD |   11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-08-18 19:33:31 UTC (rev 87978)
+++ PKGBUILD	2010-08-18 20:18:45 UTC (rev 87979)
@@ -4,21 +4,24 @@
 
 pkgname=claws-mail-extra-plugins
 pkgver=3.7.6
-pkgrel=3
+pkgrel=4
 pkgdesc="Extra plugins for claws-mail"
 url="http://www.claws-mail.org/plugins.php?branch=EXT"
 license=('GPL3')
 arch=('i686' 'x86_64')
 depends=('claws-mail>=3.7.6')
-makedepends=('make' 'bc' 'perl>=5.10.1-5' 'libgtkhtml>=2.11.1-2' 'libnotify>=0.4.5' 'libxml2>=2.7.6' 'curl>=7.19.7' 'libytnef>=1.5-2' 'libwebkit>=1.1.15.4-2' 'libchamplain>=0.6.0' 'pygtk>=2.16.0' 'libsoup-gnome')
+makedepends=('make' 'bc' 'perl>=5.10.1-5' 'libgtkhtml>=2.11.1-2' 'libnotify>=0.4.5' 'libxml2>=2.7.6' 'curl>=7.19.7' 'libytnef>=1.5-2' 'libwebkit>=1.1.15.4-2' 'libchamplain>=0.6.0' 'pygtk>=2.16.0' 'libsoup-gnome' 'libcanberra')
 optdepends=('libgtkhtml: for gtkhtml2_viewer plugin'
             'perl: for perl plugin'
             'libnotify: for notification plugin'
+	    'libcanberra: for notification plugin'
+	    'dbus-core: for notification plugin'
             'libxml2: for gtkhtml2_viewer and rssyl plugins'
             'curl: for gtkhtml2_viewer, vcalendar, rssyl and spamreport plugins'
             'libarchive: for archive plugin'
             'libytnef: for tnef_parse plugin'
-            'libwebkit,libsoup-gnome: for the fancy webkit html plugin'
+            'libwebkit: for the fancy webkit html plugin'
+	    'libsoup-gnome: for the fancy webkit html plugin'
             'libchamplain: for geolocation plugin'
             'python: for python plugin')
 conflicts=('claws-gtkhtml2_viewer' 'claws-mail-acpinotifier-plugin' 'sylpheed-claws-gtkhtml2-plugin' 'sylpheed-claws-rssyl-plugin' 'sylpheed-claws-extra-plugins' 'claws-tnef-plugin' 'claws-webkit-plugin-svn' 'claws-mayflower-plugin-svn')
@@ -53,7 +56,7 @@
         echo "$dir" | grep synce >/dev/null 2>/dev/null && continue
          # Else, install
         cd "$dir"
-        make DESTDIR=$startdir/pkg install || return 1
+        make DESTDIR=$pkgdir install || return 1
         cd ..
      done
 



More information about the arch-commits mailing list